# Introduction to robust estimation of ERP data

This data package contains the slides, Matlab m files and a dataset for an ERP workshop I gave in Washington DC, Glasgow, Fribourg, Frankfurt & Berlin. The goal of the workshop is to use hands-on exercises to introduce the basic principles and the Matlab implementation of robust estimation, using resampling methods (bootstrap & permutation) in conjunction with robust estimators. The workshop covers why classic t-tests and ANOVAs on means are not necessarily the best options, and how robust approaches can help. In particular, it demonstrates techniques to compare entire distributions, how to build confidence intervals about any quantity using the bootstrap, and how to effectively control for multiple comparisons. The methods are applied to single-subject and group analyses, and examples are provided to integrate both levels into informative figures. 

The workshop has a strong frequentist flavour. I will eventually post a new version free of p values and confidence intervals. My current thinking is described on my blog: https://garstats.wordpress.com

## Dependencies
To run the code, you will need functions from these toolboxes:

EEGLAB:
<https://sccn.ucsd.edu/eeglab/>

LIMO EEG:
<https://gforge.dcn.ed.ac.uk/gf/project/limo_eeg/>

Matlab functions `shifthd` & `shiftdhd` from:
<https://github.com/GRousselet/matlab_stats>

## Dataset
Distributions of single-trials at 1 electrode only:
`erps.mat`: 20 subjects, 2 conditions, 500 Hz, -300:600 ms
`erpm.mat`: means of single-trials from `erps.mat` with size (451x20x2)
`S1_1elec_epoch_ancova.set`: 2 subjects, 500 Hz, ANCOVA design

Distributions of single-trials at all electrodes:
`S1_allelec_epoch.set`: 2 subjects, 250 Hz, -300:400 ms

Any problem, don’t hesitate to get in touch:
Guillaume Rousselet <Guillaume.Rousselet@glasgow.ac.uk>

