%% erp_workshop_3_case_studies

%% ************************************************************************
%% CASE STUDY 1: OUTLIERS **************************************************
%% ************************************************************************

%% GET DATA + PERFORM T-TEST

load casestudy1

percent = 0; % regular t-test
alpha = 0.05;
[t,diff,se,CI,p,tcrit,df] = limo_yuend_ttest(c1,c2,percent,alpha);

C1 = mean(c1,3); % average across subjects for condition 1
C2 = mean(c2,3); % average across subjects for condition 2

Xf = -300:2:600; % time vector

%% PLOT RESULTS

figure('Color','w','NumberTitle','off') % make blank figure
hold on % we're going to plot several elements
plot(Xf,C1,'Color',[0 0 0],'LineStyle','-','LineWidth',2)
plot(Xf,C2,'Color',[.7 .7 .7],'LineStyle','--','LineWidth',2)
plot(Xf,C1-C2,'Color','r','LineStyle','-','LineWidth',3)
set(gca,'LineWidth',1,'FontSize',14,'XLim',[-300 600])
xlabel('Time in ms','FontSize',16)
ylabel('Amplitude in \muV','FontSize',16)
box on
v=axis; % get current axis limits
plot(Xf,(p<=alpha)*100-100+v(3)*.95,'r.','MarkerSize',10)
axis(v) % restore axis limits to hide non-significant points

%% OUTLIERS

% perform same t-test on contaminated c2 dataset

[t,diff,se,CI,p,tcrit,df] = limo_yuend_ttest(c1,c2c,percent,alpha);

C1 = mean(c1,3); % average across subjects for condition 1
C2 = mean(c2c,3); % average across subjects for condition 2

%% HOW ARE OUTLIERS AFFECTING THE RESULTS?

% Plot the results again using the cell PLOT RESULTS above

% To find out, plot the results from all subjects
% superimposed. Hint: reuse the last cell from m file 2.

%% ************************************************************************
%% CASE STUDY 2: CHANGE IN SPREAD, NOT IN LOCATION ************************
%% ************************************************************************

%% PREPARE DATA

load casestudy2

percent = 0; % regular t-test
alpha = 0.05;
[t,diff,se,CI,p,tcrit,df] = limo_yuend_ttest(c1,c2,percent,alpha);

C1 = mean(c1,3); % average across subjects for condition 1
C2 = mean(c2,3); % average across subjects for condition 2

%% EXPLORE THE DATA: WHAT'S GOING ON?

% For instance, make a figure showing the two conditions superimposed for all subjects
figure('Color','w','NumberTitle','off');hold on
plot(Xf,squeeze(c2),'k','LineWidth',2)
plot(Xf,squeeze(c1),'g','LineWidth',2)

%% Plot the variance over time instead of the mean
figure('Color','w','NumberTitle','off');hold on
plot(Xf,var(c1,0,3),'g','LineWidth',2)
plot(Xf,var(c2,0,3),'k','LineWidth',2)





