%% erp_workshop_5_robust_estimators

%% ************************************************************************
%% CASE STUDY 1: OUTLIERS **************************************************
%% ************************************************************************

%% PREPARE DATA

load casestudy1
c2 = c2c;

percent=0; % regular t-test
alpha=0.05;
[t,diff,se,CI,p,tcrit,df] = limo_yuend_ttest(c1,c2,percent,alpha);

C1 = mean(c1,3); % average across subjects for condition 1
C2 = mean(c2,3); % average across subjects for condition 2


%% PLOT RESULTS

figure('Color','w','NumberTitle','off') % make blank figure
hold on % we're going to plot several elements
plot(Xf,C1,'Color',[0 0 0],'LineStyle','-','LineWidth',2)
plot(Xf,C2,'Color',[.7 .7 .7],'LineStyle','--','LineWidth',2)
plot(Xf,C1-C2,'Color','r','LineStyle','-','LineWidth',3)
set(gca,'LineWidth',1,'FontSize',14,'XLim',[-300 600])
xlabel('Time in ms','FontSize',16)
ylabel('Amplitude in \muV','FontSize',16)
box on
v=axis; % get current axis limits
plot(Xf,(p<=alpha)*100-100+v(3)*.95,'r.','MarkerSize',10)
axis(v) % restore axis limits to hide non-significant points

%% T-TEST ON TRIMMED MEANS

% In the first cell, we change percent to 20 to perform 
% a t-test on 20% trimmed means
percent = 20;
[t,diff,se,CI,p,tcrit,df] = limo_yuend_ttest(c1,c2,percent,alpha);

% change the amount of trimming to see how it affects the results
% try 10% and 30% for instance
% if results change, what should we conclude?
% is there a right conclusion?

%% PERCENTILE BOOTSTRAP ON TRIMMED MEANS

% Alternatively, we could perform a percentile bootstrap on trimmed means.

% This could be done by re-using the code from m file 4, and using the
% function limo_trimmed_mean instead of mean.

% Yet another alternative would be to perform a percentile-t bootstrap.
% More on that in the section on multiple comparisons.


