%% erp_workshop_6_shift_function

%% ************************************************************************
%% CASE STUDY 2: CHANGE IN SPREAD, NOT IN LOCATION ************************
%% ************************************************************************

%% PREPARE DATA

load casestudy2

C1 = mean(c1,3); % average across subjects for condition 1
C2 = mean(c2,3); % average across subjects for condition 2


%% EXPLORE THE DATA: WHAT'S GOING ON?

% For instance, make a figure showing the two conditions superimposed for all subjects
figure('Color','w','NumberTitle','off');hold on
plot(Xf,squeeze(c2),'k','LineWidth',2)
plot(Xf,squeeze(c1),'g','LineWidth',2)

%% Plot the variance over time instead of the mean
figure('Color','w','NumberTitle','off');hold on
plot(Xf,var(c1,0,3),'g','LineWidth',3)
plot(Xf,var(c2,0,3),'k','LineWidth',3)
plot(Xf,var(c1,0,3)-var(c2,0,3),'r','LineWidth',3)
set(gca,'LineWidth',1,'FontSize',14,'XLim',[-300 600])
xlabel('Time in ms','FontSize',16)
ylabel('Variance','FontSize',16)
box on

%% SHIFT FUNCTION

% the folder shift_function should be in your path

% find latency of maximum difference in variance
diff=var(c1,0,3)-var(c2,0,3);
F=find(diff==min(diff));

nboot = 200; % nboot = number of bootstrap samples - default = 200
plotit = 1; % 1 to get a figure; 0 otherwise by default
[xd, yd, delta, deltaCI] = shiftdhd(squeeze(c1(:,F,:)),squeeze(c2(:,F,:)),200,plotit);

% for independent groups (2 groups of subjects, or 2 conditions in the same
% subject), use the function shifthd
