%% erp_workshop_8_single

%% GET DATA

% load erps << first we need to load erps.mat ***

Xf=-300:2:600;Nf=length(Xf);
Ns=length(erps);

%% T-TESTS ON MEANS

alpha=0.05;
percent=0;

% we declare variables that will hold the results
diff_all=zeros(Ns,Nf);
CI_all=zeros(Ns,Nf,2);
p_all=zeros(Ns,Nf);

for S=1:Ns % for each subject
    
   [Ty,diff_all(S,:),se,CI_all(S,:,:),p_all(S,:),tcrit,df]=limo_yuen_ttest(erps{S,1},erps{S,2},percent,alpha);
    
end

%% SINGLE-SUBJECT FIGURES

figure('Color','w','NumberTitle','off') % make blank figure

for S=1:Ns 
    
    subplot(4,5,S);hold on
    plot(Xf,diff_all(S,:),'Color','r','LineStyle','-','LineWidth',3)
    plot(Xf,squeeze(CI_all(S,:,:)),'Color','r','LineStyle','-','LineWidth',1)
    set(gca,'LineWidth',1,'FontSize',14,'XLim',[-300 600])
    v=axis;
    plot([v(1) v(2)],[0 0],'k--')
    plot([0 0],[v(3) v(4)],'k--')
    box on

end

%% NEW EVEN BETTER GROUP FIGURE: SHOW RESULTS IN ALL SUBJECTS

% load erpm if needed

C1=mean(erpm(:,:,1),2); % average across subjects for condition 1
C2=mean(erpm(:,:,2),2); % average across subjects for condition 2
c1=zeros(1,451,20);c2=c1; % reformat data so that dimension 1 = 1 electrode
c1(1,:,:)=erpm(:,:,1); c2(1,:,:)=erpm(:,:,2);

figure('Color','w','NumberTitle','off') % make blank figure

% --------------------------------------------------------------------------
subplot(3,1,1);hold on  % plot conditions 1 and 2 **********************

plot(Xf,C1,'Color',[0 0 0],'LineStyle','-','LineWidth',3)
plot(Xf,C2,'Color',[.7 .7 .7],'LineStyle','--','LineWidth',3)

% get confidence intervals for each condition
percent=0;
alpha=0.05; % to get a 95% confidence interval
nullvalue=0;
[t,tmdata,trimci_c1,p,tcrit,df]=limo_trimci(c1, percent, alpha, nullvalue);
[t,tmdata,trimci_c2,p,tcrit,df]=limo_trimci(c2, percent, alpha, nullvalue);

% plot confidence intervals
plot(Xf,squeeze(trimci_c1),'Color',[0 0 0],'LineStyle','-','LineWidth',1)
plot(Xf,squeeze(trimci_c2),'Color',[.7 .7 .7],'LineStyle','--','LineWidth',1)

[Ty,diff,se,CI,p,tcrit,df]=limo_yuend_ttest(c1,c2,percent,alpha);

set(gca,'LineWidth',1,'FontSize',14,'XLim',[-300 600])
    xlabel('Time in ms','FontSize',16)
    ylabel('Amplitude in \muV','FontSize',16)
    box on

% --------------------------------------------------------------------------
subplot(3,1,2);hold on % plot difference ********************************

plot(Xf,squeeze(c1-c2),'Color',[.7 .7 .7]) % PLOT DIFFERENCE FOR EVERY SUBJECT <<<<

plot(Xf,diff,'Color',[1 0 0],'LineStyle','-','LineWidth',3)
plot(Xf,squeeze(CI),'Color',[1 0 0],'LineStyle','-','LineWidth',1)

v=axis; % get current axis limits
alpha=0.05; % set alpha level 
plot(Xf,(p<=alpha)*100-100+v(3)*.95,'r.','MarkerSize',10)
axis(v) % restore axis limits to hide non-significant points

plot([v(1) v(2)],[0 0],'k--') % add horizontal line at zero

set(gca,'LineWidth',1,'FontSize',14,'XLim',[-300 600])
    xlabel('Time in ms','FontSize',16)
    ylabel('Amplitude in \muV','FontSize',16)
    box on

% --------------------------------------------------------------------------
subplot(3,1,3);hold on % plot results in every subject

imagesc(Xf,1:Ns,diff_all.*(p_all<=alpha))
set(gca,'LineWidth',1,'FontSize',14,'XLim',[-300 600],'YLim',[1 Ns])
set(gca,'Layer','Top','YTick',1:Ns)
box on

%% TAKE-HOME EXERCISE

% correct for multiple comparisons in each subject using a percentile-t bootstrap
% update the group figure



